Subject: Re: [v3,1/2] cxl: Add explicit precision specifiers

From: Michael Ellerman <[email-masked]>
Date: Thu, 16 Jul 2015 19:59:09 +1000 (AEST)

On Thu, 2015-11-06 at 11:27:51 UTC, Rasmus Villemoes wrote:
> C99 says that a precision given as simply '.' with no following digits
> or * should be interpreted as 0. The kernel's printf implementation,
> however, treats this case as if the precision was omitted. C99 also
> says that if both the precision and value are 0, no digits should be
> printed. Even if the kernel followed C99 to the letter, I don't think
> that would be particularly useful in these cases. For consistency with
> most other format strings in the file, use an explicit precision of 16
> and add a 0x prefix.
> 
> Signed-off-by: Rasmus Villemoes <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/80c394fab89649585089

cheers